Bug 20992

Summary: modutils-2.3.20-0.6.2.i386.rpm breaks loading of sound modules in rc.sysinit
Product: [Retired] Red Hat Linux Reporter: Need Real Name <fregeau>
Component: modutilsAssignee: Michael K. Johnson <johnsonm>
Status: CLOSED ERRATA QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 6.2   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2000-11-18 15:26:07 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Need Real Name 2000-11-16 22:32:30 EST
Today's (11/16/00) update of modutils (modutils-2.3.20-0.6.2.i386.rpm)
breaks the automatic loading of sound modules in /etc/rc.d/rc.sysinit. 
This is because the installation of the new modutils renames
/etc/conf.modules to /etc/modules.conf, while rc.sysinit is hardwired to
look in /etc/conf.modules.   

This also prevents rc.sysinit from loading saved mixer settings, which is
very annoying.

Thanks.
Comment 1 dan 2000-11-17 02:51:38 EST
Here is the exact message is whines about.

Finding module dependencies Warning: modutils is reading from /etc/conf.modules
because
         /etc/modules.conf does not exist.  The use of /etc/conf.modules is
         deprecated, please rename /etc/conf.modules to /etc/modules.conf
         as soon as possible.  Command
         mv /etc/conf.modules /etc/modules.conf

And yes it is annoying. I would like to think some sort of testing takes place.

Nothing like spending most of the day creating your own custom redhat 6.2 cd,
including creating a 2.2.16-3 boot.img file (don't even ask). Then finding the
above message on bootup...then following it's instructions...then seting up the
sound card then getting the same message again!

I call for a fix for this, and a RedHat-6.3 release!

Comment 2 dan 2000-11-18 15:26:05 EST
Alright, I'm sorry! I've been coming down on you guys too hard lately.
It's certainly not fair of me to take my hostilies out on you.
I understand I said a few things you can't respond to (corp crap),
but I do appreciate you fixing this problem.
I am sure you do do testing and somehow this one slipped through the crack.

All in all, I'll be staying with redhat. I'm in love with rpm so there really is
no turning back. =)
You guys have (for the most part), been pumping out the most user friendly linux
distro for years.

btw: a 6.3 release would still be a kewl idea, if only to show you your
2.2.16-3BOOT kernel creates (well it tries to), a boot.img too big for a 1.44
floppy. ;-)

Dan
Comment 3 Bill Nottingham 2000-11-19 00:50:33 EST
There were new modutils packages released for 6.2.
Comment 4 Frank Elsner 2000-11-22 06:13:09 EST
modutils-2.3.20-0.6.2.1 aren't better. See #21232.

-Frank Elsner